# std::_Fwd_list_const_iterator< _Tp, _Alloc > Struct Template Reference

A forward_list::const_iterator. More...

List of all members.

## Public Types

- typedef const _Fwd_list_node
  < _Tp, _Alloc > _Node
- typedef const
  _Fwd_list_node_base< _Alloc > _Node_base
- typedef
  _Fwd_list_const_iterator< _Tp,
  _Alloc > _Self
- typedef _Alloc::difference_type difference_type
- typedef _Fwd_list_iterator
  < _Tp, _Alloc > iterator
- typedef std::forward_iterator_tag iterator_category
- typedef _Alloc::const_pointer pointer
- typedef _Alloc::const_reference reference
- typedef _Tp value_type

## Public Member Functions

- _Fwd_list_const_iterator (const iterator &__iter)
- _Fwd_list_const_iterator (typename _Node_base::_Const_pointer __n)
- _Self _M_next () const
- bool operator!= (const _Self &__x) const
- reference operator* () const
- _Self operator++ (int)
- _Self & operator++ ()
- pointer operator-> () const
- bool operator== (const _Self &__x) const

## Public Attributes

- _Node_base::_Const_pointer _M_node

## Detailed Description

### template<typename _Tp, typename _Alloc>
struct std::_Fwd_list_const_iterator< _Tp, _Alloc >

A forward_list::const_iterator.

All the functions are op overloads.

Definition at line 175 of file forward_list.h.

The documentation for this struct was generated from the following file:

- forward_list.h